# Header
And More

## org.jfree.data.xy
Interface XYZDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Subinterfaces:
  ContourDataset, IntervalXYZDataset

All Known Implementing Classes:
  AbstractXYZDataset, DefaultContourDataset, DefaultXYZDataset, MatrixSeriesCollection, NonGridContourDataset

    public interface XYZDataset

extends XYDataset

The interface through which JFreeChart obtains data in the form of (x, y, z) items - used for XY and XYZ plots.

Method Summary
`java.lang.Number` `getZ(int series, int item)` Returns the z-value for the specified series and item.
`double` `getZValue(int series, int item)` Returns the z-value (as a double primitive) for an item within a series.

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getZ

    java.lang.Number getZ(int series,
                          int item)

  Returns the z-value for the specified series and item.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The z-value (possibly `null`).

### getZValue

    double getZValue(int series,
                     int item)

  Returns the z-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The z-value.

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.